summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Mario Preksavec2015-02-27 21:34:38 +0100
committer Willy Sudiarto Raharjo2015-02-27 21:34:38 +0100
commitd5ab714d19d20eecfca9eb2aa932cbddc93407e1 (patch)
tree998a88a797278462d21c897e542964983d264d91
parente3c8c6afff14d8f8fec396709117b30cfd207aae (diff)
downloadslackbuilds-d5ab714d19d20eecfca9eb2aa932cbddc93407e1.tar.gz
system/monitoring-plugins: Added (a bundle of monitoring plugins).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/monitoring-plugins/README17
-rw-r--r--system/monitoring-plugins/monitoring-plugins.SlackBuild137
-rw-r--r--system/monitoring-plugins/monitoring-plugins.info10
-rw-r--r--system/monitoring-plugins/slack-desc19
4 files changed, 183 insertions, 0 deletions
diff --git a/system/monitoring-plugins/README b/system/monitoring-plugins/README
new file mode 100644
index 0000000000..60c028a08a
--- /dev/null
+++ b/system/monitoring-plugins/README
@@ -0,0 +1,17 @@
+monitoring-plugins (a bundle of more than fifty monitoring plugins)
+
+This bundle contains standard plugins for Icinga, Naemon, Nagios, Shinken,
+Sensu, and other monitoring applications. Each plugin is a stand-alone
+command line tool that provides a specific type of check.
+
+Support for postgresql, libdbi, radius, ldap and mysql check modules can be
+enabled with:
+
+ CHECK_PGSQL=yes \
+ CHECK_DBI=yes \
+ CHECK_RADIUS=yes \
+ CHECK_LDAP=yes \
+ CHECK_MYSQL=yes ./monitoring-plugins.SlackBuild
+
+Optional dependencies, postgresql and libdbi, can be found on slackbuilds.org
+website; additionally, fping3 will be autodetected when installed.
diff --git a/system/monitoring-plugins/monitoring-plugins.SlackBuild b/system/monitoring-plugins/monitoring-plugins.SlackBuild
new file mode 100644
index 0000000000..1b7ea8a9c6
--- /dev/null
+++ b/system/monitoring-plugins/monitoring-plugins.SlackBuild
@@ -0,0 +1,137 @@
+#!/bin/sh
+
+# Slackware build script for monitoring-plugins
+
+# Copyright 2015 Mario Preksavec, Zagreb, Croatia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=monitoring-plugins
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CHECK_PGSQL=${CHECK_PGSQL:-no}
+CHECK_DBI=${CHECK_DBI:-no}
+CHECK_RADIUS=${CHECK_RADIUS:-no}
+CHECK_LDAP=${CHECK_LDAP:-no}
+CHECK_MYSQL=${CHECK_MYSQL:-no}
+
+case $CHECK_PGSQL in
+ yes) WITH_PGSQL="" ;;
+ *) WITH_PGSQL="--without-pgsql" ;;
+esac
+
+case $CHECK_DBI in
+ yes) WITH_DBI="" ;;
+ *) WITH_DBI="--without-dbi" ;;
+esac
+
+case $CHECK_RADIUS in
+ yes) WITH_RADIUS="" ;;
+ *) WITH_RADIUS="--without-radius" ;;
+esac
+
+case $CHECK_LDAP in
+ yes) WITH_LDAP="" ;;
+ *) WITH_LDAP="--without-ldap" ;;
+esac
+
+case $CHECK_MYSQL in
+ yes) WITH_MYSQL="" ;;
+ *) WITH_MYSQL="--without-mysql" ;;
+esac
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --libexecdir=/usr/libexec/monitoring-plugins \
+ --with-cgiurl=/var/www/cgi-bin \
+ $WITH_PGSQL \
+ $WITH_DBI \
+ $WITH_RADIUS \
+ $WITH_LDAP \
+ $WITH_MYSQL \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS ACKNOWLEDGEMENTS AUTHORS CODING COPYING ChangeLog \
+ FAQ INSTALL LEGAL NEWS README REQUIREMENTS SUPPORT THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/monitoring-plugins/monitoring-plugins.info b/system/monitoring-plugins/monitoring-plugins.info
new file mode 100644
index 0000000000..254be28399
--- /dev/null
+++ b/system/monitoring-plugins/monitoring-plugins.info
@@ -0,0 +1,10 @@
+PRGNAM="monitoring-plugins"
+VERSION="2.1.1"
+HOMEPAGE="https://www.monitoring-plugins.org/"
+DOWNLOAD="https://www.monitoring-plugins.org/download/monitoring-plugins-2.1.1.tar.gz"
+MD5SUM="8e564c03e3fc32f452956892b19abb4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Mario Preksavec"
+EMAIL="mario at slackware dot hr"
diff --git a/system/monitoring-plugins/slack-desc b/system/monitoring-plugins/slack-desc
new file mode 100644
index 0000000000..8915a71bbf
--- /dev/null
+++ b/system/monitoring-plugins/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+monitoring-plugins: monitoring-plugins (a bundle of monitoring plugins)
+monitoring-plugins:
+monitoring-plugins: This bundle contains standard plugins for Icinga, Naemon, Nagios,
+monitoring-plugins: Shinken, Sensu, and other monitoring applications. Each plugin is a
+monitoring-plugins: stand-alone command line tool that provides a specific type of check.
+monitoring-plugins:
+monitoring-plugins: Homepage: https://www.monitoring-plugins.org/
+monitoring-plugins:
+monitoring-plugins:
+monitoring-plugins:
+monitoring-plugins: